/***
 * AOKell
 * Copyright (C) 2005 INRIA, France Telecom
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: Lionel.Seinturier@lifl.fr
 *
 * Author: Lionel Seinturier
 */

package aokell.lib.asm;

import org.objectweb.fractal.api.Interface;

import aokell.lib.MInterfaceImpl;


/**
 * This class generates {@link Interface} implementations for control components
 * which are bound to a target interface. This is typically the case of
 * interfaces associated to composite components, or of client interfaces
 * associated to primitive components.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 */
public class ASMGeneratorForBoundableMInterface
    extends ASMGeneratorForBoundableInterface {

    /**
     * Return the name of the {@link Interface} implementation to be used as
     * super class for generated implementations.
     */
    protected String getInterfaceImpl() {
        return MInterfaceImpl.class.getName().replace('.','/');
    }
}
