/***
 * AOKell
 * Copyright (C) 2005 INRIA, France Telecom
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: Lionel.Seinturier@lifl.fr
 *
 * Author: Lionel Seinturier
 */

package aokell.lib.membrane;

import org.objectweb.fractal.api.type.InterfaceType;


/**
 * Class holding data for defining a controller.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 */
public class ControllerDef {
    
    /** The controller name (e.g. binding-controller, component). */
    public String name;
    
    /** The Fractal type implemented by the controller. */
    public InterfaceType type;
    
    /** The Class of the Java interface implemented by the controller. */
    public Class itf;
    
    /** The Class of the implementation of the controller. */
    public Class impl;
    
    public ControllerDef(String name, InterfaceType type, Class itf, Class impl) {
        this.name = name;
        this.type = type;
        this.itf = itf;
        this.impl = impl;
    }
}
