/***
 * AOKell
 * Copyright (C) 2005 INRIA, France Telecom
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: Lionel.Seinturier@lifl.fr
 *
 * Author: Lionel Seinturier
 */

package aokell.lib.membrane;


/**
 * Class holding data for defining a membrane.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 */
public class MembraneDef {
    
    /** The controller description (e.g. primitive, composite). */
    public Object controllerdesc;
    
    /** The array of controllers implemented by this membrane. */
    public ControllerDef[] ctrls;
    
    /** The Java marker type for the membrane (must be an Java interface). */
    public Class type;

    /**
     * The Java marker types for the interceptors associated to the membrane
     * (must be Java interfaces).
     */
    public Class[] intercepts;
    
    public MembraneDef(
            Object controllerdesc, ControllerDef[] ctrls,
            Class type, Class[] intercepts) {
        
        this.controllerdesc = controllerdesc;
        this.ctrls = ctrls;
        this.type = type;
        this.intercepts = intercepts;
    }
    
}
