/***
 * AOKell
 * Copyright (C) 2005 INRIA, France Telecom
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: Lionel.Seinturier@lifl.fr
 *
 * Author: Lionel Seinturier
 */

package aokell.lib.control.binding;

import org.objectweb.fractal.api.control.BindingController;

/**
 * Interface for managing the reference towards the binding controllers.
 * 
 * This interface allows optimizing the access to the binding controller from a
 * component. Instead of getting the membrane, and then the binding controller
 * interface (which is bound with an export binding to the primitive component
 * which implements the binding controller), this interface provides a direct
 * access to the binding controller.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 */
public interface BindingControllerSetterGetterItf {
    
    public void setFcBindingController( BindingController bc );
    public BindingController getFcBindingController();
}
