package aokell.lib.control.content;

import java.util.List;

import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.fractal.api.control.ContentController;
import org.objectweb.fractal.api.type.InterfaceType;

import aokell.lib.type.InterfaceTypeImpl;

/**
 * This interface extends the Fractal ContentController interface with methods
 * to manage internal client interfaces.
 *
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 */
public interface ContentControllerItf extends ContentController {

    final public static String NAME = "content-controller";
    
    final public static InterfaceType TYPE =
        new InterfaceTypeImpl(
                NAME,
                ContentControllerItf.class.getName(),
                false, false, false );

    public List getFcInternalSingletonClientInterfaces();
    
    public Object getFcInternalClientInterface(String interfaceName)
        throws NoSuchInterfaceException;
}
