package aokell.lib.control.superc;

import org.objectweb.fractal.api.Component;
import org.objectweb.fractal.api.control.SuperController;
import org.objectweb.fractal.api.type.InterfaceType;

import aokell.lib.type.InterfaceTypeImpl;

/**
 * This interface extends the Fractal SuperController interface with methods for
 * adding and removing a reference towards a super component.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 */
public interface SuperControllerItf extends SuperController {

    final public static String NAME = "super-controller";
    
    final public static InterfaceType TYPE =
        new InterfaceTypeImpl(
                NAME,
                SuperControllerItf.class.getName(),
                false, false, false);
    
    public void addFcSuperComponent( Component c );
    public void removeFcSuperComponent( Component c );
}
